osgAnimation::Vec3Packed Struct Reference

`#include <Vec3Packed>`

## Public Types

typedef unsigned int | uint32_t

## Public Member Functions

| Vec3Packed (uint32_t val)
| Vec3Packed ()
void | uncompress (const osg::Vec3 &scale, const osg::Vec3 &min, osg::Vec3 &result) const
void | compress (const osg::Vec3f &src, const osg::Vec3f &min, const osg::Vec3f &scaleInv)

## Public Attributes

uint32_t | m32bits

## Member Typedef Documentation

## uint32_t

typedef unsigned int osgAnimation::Vec3Packed::uint32_t

## Constructor & Destructor Documentation

## Vec3Packed() [1/2]

osgAnimation::Vec3Packed::Vec3Packed | ( | uint32_t | val | ) |

inline

References m32bits.

## Vec3Packed() [2/2]

osgAnimation::Vec3Packed::Vec3Packed | ( |  | ) |

inline

References m32bits.

## Member Function Documentation

## compress()

void osgAnimation::Vec3Packed::compress | ( | const osg::Vec3f & | src,
|  | const osg::Vec3f & | min,
|  | const osg::Vec3f & | scaleInv )

inline

References m32bits, and osg::minimum().

## uncompress()

void osgAnimation::Vec3Packed::uncompress | ( | const osg::Vec3 & | scale,
|  | const osg::Vec3 & | min,
|  | osg::Vec3 & | result ) const

inline

References m32bits.

## Member Data Documentation

## m32bits

uint32_t osgAnimation::Vec3Packed::m32bits

Referenced by compress(), uncompress(), Vec3Packed(), and Vec3Packed().

The documentation for this struct was generated from the following file:

- Vec3Packed